/****************************************************************************
 * @(#) Ndless - OS Table (OS 1.0.529)
 *
 * Copyright (C) 2010 by ANNEHEIM Geoffrey and ARMAND Olivier
 * Contact: geoffrey.anneheim@gmail.com / olivier.calc@gmail.com
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * RCSID $Id$
 ****************************************************************************/

#ifndef _OS_CALLS_H_
#define _OS_CALLS_H_

#define TCT_Local_Control_Interrupts_  0x100AEB38
#define memset_                        0x100CF9B8
#define memcpy_                        0x100CF830
#define memcmp_                        0x100CF76C
#define unlink_                        0x100D9EBC
#define rename_                        0x100D9470
#define fopen_                         0x100CE8B4
#define fread_                         0x100CE990
#define fwrite_                        0x100CF034
#define fclose_                        0x100CDD8C
#define fgets_                         0x100CE284
#define fgetc_                         0x100CE1D8
#define malloc_                        0x100CF6AC
#define free_                          0x100CEBB0
#define stat_                          0x100D9A3C
#define create_path_filename_          0x100038D8
//#define printf_                        0x100CFA34 // doesnt seem to work use log_rs232
#define sprintf_                       0x100D03E0
#define fprintf_                       0x10380568
#define mkdir_                         0x100D7948
#define rmdir_                         0x100D9784
#define set_current_path_              0x100D6230 // same as chdir
#define chdir_			       0x100D6230
#define purge_directory_               0x10032d50
#define power_off_                     0x10032688
#define ascii2utf16_                   0x10083A3C
#define show_dialog_box_               0x0
#define show_dialog_box2_              0x100778B8
//#define dialog_3btn_                   0x10077F84
#define show_Entrydialog_box_          0x10077F08 // 10077AC4
#define NU_Remove_Dir_                 0x101321F4
#define log_rs232_                     0x10174E8C
#define log_rs232_param2_              0x10465BC0
#define printf_rs232_                  0x100CFA34
#define EVENT		               0x1045E56C


//#define stdin  ((FILE *)0x104B3D50)These dont appear to be on the CAS+
//#define stdout ((FILE *)0x104B3D68)Use log_rs232 for output and  SDC_data_ready, SDC_Get_Char for input
//#define stderr ((FILE *)0x104B3D80)

#define strcpy_ 	               0x100d0818
#define sscanf_				0x100D0638
#define strtoul_			0x10381494
#define memmove_			0x100cf8bc
#define strcat_ 			0x100d068c
#define strlen_ 			0x100D0884
#define strstr_ 			0x100D0BA0
#define NU_Current_Dir_ 		0x10131efc
#define NU_Get_First_ 			0x101320a8
#define NU_Get_Next_ 			0x101320dc
#define NU_Done_ 			0x10131f80
#define TCC_Task_Sleep_ 		0x100a9844
#define idle_		 		0x100B0F1C // __NU_Idle_Hook ?
#define SDC_Data_Ready_ 		0x10174f9c
#define SDC_Get_Char_ 			0x10174d98
#define getcwd_				0X100D7454

#endif
/*
#define fseek_			       0x100CEBE4
#define ftell_ 			       0x100CEE48
#define isalpha_		       0x100cf488
#define isascii_ 		       0x100cf4e8
#define isdigit_ 		       0x100CF518
#define islower_ 	               0x100CF564
#define isspace_ 	               0x100CF5B0
#define isupper_ 	               0x100CF60C
#define strchr_ 		       0x100d0728
#define strcmp_ 		       0x100d079c
#define strlen_ 	               0x100D0884
#define strncat_ 	               0x100D08E0
#define strncmp_ 		       0x100d09b8
#define strncpy_ 	               0x100D0A6C
#define strrchr_ 	               0x100d0b2c
#define strtod_ 	               0x100D0C58
#define ungetc_ 		       0x100D118C
#define fscanf_ 		       0x1038066C
#define fflush_ 		       0x100CDE20
0x100cddf4,	"feof"
0x100caea8,	"errno_undef"
0X100D8280,     "opendir"
0X100D9290,     "readdir"
0X100D672C,     "closedir"
0X10248F34,     "fm_fileop
0X1024916C,     "fm_xfer"
0X1024BF38,     "pn_rename"
0X102430A4,     "telnet_copy"
0X102430B4,     "telnet_move"
0X10242DB0,     "pn_copy_or_move"
0X10242A5C,      "pn_remove_or_unlink"
0X10242C10,     "telnet_rmdir"
0X10242C1C,     "telnet_fdel"
0X10077F84,	"Dialog_3btn"
0X10080850,	"enum_dir"
0X10083C94,	"utf162ascii"
0x1038EDF8      puts 
*/