/****************************************************************************
 * @(#) Ndless - OS Table (OS 1.0.554)
 *
 * Copyright (C) 2010 by ANNEHEIM Geoffrey and ARMAND Olivier
 * Contact: geoffrey.anneheim@gmail.com / olivier.calc@gmail.com
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * RCSID $Id$
 ****************************************************************************/

#ifndef _OS_CALLS_H_
#define _OS_CALLS_H_

#define TCT_Local_Control_Interrupts_  0x100AECC8
#define memset_                        0x100CFBB8
#define memcpy_                        0x100CFA30
#define memcmp_                        0x100CF96C
#define unlink_                        0x100DA0BC
#define rename_                        0x100D9670
#define fopen_                         0x100CEAB4
#define fread_                         0x100CEB90
#define fwrite_                        0x100CF234
#define fclose_                        0x100CDF8C
#define fgets_                         0x100CE484
#define fgetc_                         0x100CE3D8
#define malloc_                        0x100CF8AC
#define free_                          0x100CEDB0
#define stat_                          0x100D9C3C
#define create_path_filename_          0x10003C10
//#define printf_                        0x100CFC34 // doesnt seem to work use log_rs232
#define sprintf_                       0x100D05E0
#define fprintf_                       0x10380048
#define mkdir_                         0x100D7B48
#define rmdir_                         0x100D9984
#define set_current_path_              0x100D6430 // same as chdir
#define chdir_                         0x100D6430
#define purge_directory_               0x10032EE0
#define power_off_                     0x10032818
#define ascii2utf16_                   0x10083BCC
#define show_dialog_box_               0x0
#define show_dialog_box2_              0x10077A48
#define show_Entrydialog_box_          0x10078098 // 0x10077C54 ?
#define dialog_3btn_                   0x10078114
#define NU_Remove_Dir_                 0x10131C38
#define log_rs232_                     0x10174970
#define log_rs232_param2_              0x10465BD0
#define EVENT		               0x1045E574

//#define stdin  ((FILE *)0x104EC174 ) These dont appear to be on the CAS+
//#define stdout ((FILE *)0x104EC1B8 ) Use log_rs232 for output and  SDC_data_ready, SDC_Get_Char for input
//#define stderr ((FILE *)0x104B3D50)


#define strcpy_			       0X100D0A18
#define sscanf_				0x100d0838
#define strtoul_			0x10380F74
#define memmove_			0x100CFABC
#define strcat_ 			0x100D088C
#define strlen_ 			0x100D0A84
#define strstr_ 			0x100D0DA0
#define NU_Current_Dir_ 		0x10131940
#define NU_Get_First_ 			0x10131AEC
#define NU_Get_Next_ 			0x10131B20
#define NU_Done_ 			0x101319C4
#define TCC_Task_Sleep_ 		0x100A99D4
#define idle_		 		0x100B10BC // NU_Idle_Hook ?
//#define puts_ 				0x1038E8D8 // doesnt seem to work use log_rs232
#define SDC_Data_Ready_ 		0x10174A80
#define SDC_Get_Char_ 			0x1017487C
#define getcwd_				0X100D7654



#endif
/*
10174158 SDC_Put_Char(int char, int log_rs232_param2_)  called by log_rs232 
0X100CEDE4,	"fseek"
0X100CF048,	"ftell"
0X100CF688,	"isalpha"
0X100CF6E8,	"isascii"
0X100CF718,	"isdigit"
0X100CF764,	"islower"
0X100CF7B0,	"isspace"
0X100CF80C,	"isupper"
0X100D0928,	"strchr"
0X100D099C,	"strcmp"
0X100D0AE0,	"strncat"
0X100D0BB8,	"strncmp"
0X100D0C6C,	"strncpy"
0X100D0D2C,	"strrchr"
0X100D0E58,	"strtod"
0X100D138C,	"ungetc"
0X1038014C,	"fscanf"
0X100A8CF8,     "TCC_Current_Task_Pointer"
0X100CDD90,     "calloc"
0X100CDAE8,     "atoi"
0X100CDC3C,      "atol"
0X100CDFF4,     "feof"
0X1038E8D8,     "puts"
0X100D5ECC,     "fflush?"
0X100D8480,     "opendir"
0X100D9490,     "readdir"
0X100D692C,     "closedir"
0X10248A18,     "fm_fileop
0X10248C50,     "fm_xfer"
0X1024BA1C,     "pn_rename"
0X10242B88,     "telnet_copy"
0X10242B98,     "telnet_move"
0X10242894,     "pn_copy_or_move"
0X10242540,     "pn_remove_or_unlink"
0X102426F4,     "telnet_rmdir"
0X10242700,     "telnet_fdel"
0X10078114,	"Dialog_3btn"
0X100809E0,	"enum_dir"
0X10083E24,	"utf162ascii"
0X100CB0A8,	"errno_undef"
*/