/****************************************************************************
 * @(#) Ndless - OS Table (OS 1.0.494)
 *
 * Copyright (C) 2010 by ANNEHEIM Geoffrey and ARMAND Olivier
 * Contact: geoffrey.anneheim@gmail.com / olivier.calc@gmail.com
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * RCSID $Id$
 ****************************************************************************/

#ifndef _OS_CALLS_H_
#define _OS_CALLS_H_

#define TCT_Local_Control_Interrupts_  0x0
#define memset_                        0x0
#define memcpy_                        0x0
#define memcmp_                        0x0
#define unlink_                        0x0
#define rename_                        0x0
#define fopen_                         0x0
#define fread_                         0x0
#define fwrite_                        0x0
#define fclose_                        0x0
#define fgets_                         0x0
#define fgetc_                         0x0
#define malloc_                        0x0
#define free_                          0x0
#define stat_                          0x0
#define create_path_filename_          0x0
#define printf_                        0x0
#define sprintf_                       0x0
#define fprintf_                       0x0
#define mkdir_                         0x0
#define rmdir_                         0x0
#define set_current_path_              0x0 // same as chdir
#define chdir_			       0x0
#define purge_directory_               0x0
#define power_off_                     0x0
#define ascii2utf16_                   0x0
#define show_dialog_box_               0x0
#define show_dialog_box2_              0x0
#define NU_Remove_Dir_                 0x0
#define log_rs232_                     0x0
#define log_rs232_param2_              0x0
#define printf_rs232_                  0x0

#define stdin  ((FILE *)0x0)
#define stdout ((FILE *)0x0)
#define stderr ((FILE *)0x0)

#endif
