﻿/****************************************************************************
 * @(#) Ndless - Main
 *
 * Copyright (C) 2010 by ANNEHEIM Geoffrey and ARMAND Olivier
 * Contact: geoffrey.anneheim@gmail.com / olivier.calc@gmail.com
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * RCSID $Id$
 ****************************************************************************/


#include <os.h>
#include "term.h"
#include "cli.h"

static char buffer[40];

asm(".string \"PRG\"\n");

int main(void) {
 int cmdstat = 1;
 unsigned org; 
  asm volatile( "sub %0, pc, #0x14\n"
                 : "=r" (org) :: "memory");
  sprintf(buffer,"Program ORG:0x%X\n",org);
  log_rs232_v(buffer);
  TCT_Local_Control_Interrupts(0x0);
  clearscreen(); 
  drawstring("---- CAS+ Emulator Terminal Utility ----\n");
  drawstring("Press ESC to exit, ? for command list\n");
  ShowCursor();
  while (cmdstat) {
    cmdstat = parseinput();
  }
 return 0;
}

